Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026701
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Payment Reportmajorhave not tried2014-05-27 10:042014-08-08 18:53
ReporteregoitzView Statuspublic 
Assigned Torafaroda 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7079b464de92
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toshuehner
Regression introduced in release
Summary

0026701: High memory usage when executing the payment report

DescriptionHigh memory usage when executing the payment report.
This produces a high usage of the garbage collector and bad performance of the application while the report is executed.

Steps To ReproduceExecute the payment report on an environment with a big amount of data for a big time interval
Proposed SolutionChange the execution of the queries and criterias to use scrollableresults instead of .list method.

http://wiki.openbravo.com/wiki/Data_Access_Layer_Performance#Mass_read.2C_clearing_the_session [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0024967 closedjecharri Openbravo ERP Payment Report has performance problems 
related to defect 0035872 closedmarkmm82 Openbravo ERP Payment Report has performance problems if expiration date is not set 

-  Notes
(0068047)
rafaroda (manager)
2014-06-16 10:06

When fixing don't overwrite fix for issue https://issues.openbravo.com/view.php?id=26574 [^]
(0068684)
hgbot (developer)
2014-07-16 19:41

Repository: erp/devel/pi
Changeset: 7079b464de921b9d5774b11175e7b13f77f262b6
Author: Rafa Roda Palacios <rafa.roda <at> ubiquads.com>
Date: Wed Jul 16 19:40:47 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7079b464de921b9d5774b11175e7b13f77f262b6 [^]

Fixes issue 26701 Rebuild of Payment Report for improving performance

---
M modules/org.openbravo.financial.paymentreport/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReport.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0068685)
shuehner (administrator)
2014-07-16 20:31

Closing: Review was splitted and done earlier between rafa & me already and code is running already for quite a while in a production env.
(0069176)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-27 10:04 egoitz New Issue
2014-05-27 10:04 egoitz Assigned To => mirurita
2014-05-27 10:06 jonalegriaesarte Assigned To mirurita => pramakrishnan
2014-05-27 10:17 egoitz Proposed Solution updated
2014-05-27 11:11 shuehner Issue Monitored: shuehner
2014-05-27 11:38 shuehner Tag Attached: Performance
2014-05-29 11:43 rafaroda Assigned To pramakrishnan => rafaroda
2014-05-29 11:43 rafaroda Status new => scheduled
2014-06-16 10:06 rafaroda Note Added: 0068047
2014-07-11 12:57 dmitry_mezentsev Relationship added has duplicate 0024967
2014-07-16 19:41 hgbot Checkin
2014-07-16 19:41 hgbot Note Added: 0068684
2014-07-16 19:41 hgbot Status scheduled => resolved
2014-07-16 19:41 hgbot Resolution open => fixed
2014-07-16 19:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7079b464de921b9d5774b11175e7b13f77f262b6 [^]
2014-07-16 20:31 shuehner Review Assigned To => shuehner
2014-07-16 20:31 shuehner Note Added: 0068685
2014-07-16 20:31 shuehner Status resolved => closed
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069176
2017-05-03 12:47 aferraz Relationship added related to 0035872


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker